<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY quot "&#x00022;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/TR/xhtml1/strict">

<xsl:output method="html" encoding="windows-1251" />
    <xsl:include href="intuit-tags.xsl" />

<xsl:template match="math">
<span class="texample"><span style="color: green;">[math]</span><xsl:apply-templates/><span style="color: green;">[math]</span></span>
</xsl:template>


    <xsl:template match="/">
        <html>
        <head>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
        <title>INTUIT.ru::-  </title>
        <link href="http://www.intuit.ru/ssi/style.css" type="text/css" rel="stylesheet"/>
        <link href="http://www.intuit.ru/ssi/style_lect.css" type="text/css" rel="stylesheet"/>
        </head>
        <body leftmargin="0" topmargin="6" marginheight="6" marginwidth="0">
        <table border="0" cellpadding="8" cellspacing="0" width="100%"><tr valign="top">
        <td><a href="/"><img src="http://www.intuit.ru/img/logo.gif" border="0" alt="-  "/></a></td>
        <td align="right"><a href="/">http://www.INTUIT.ru</a></td>
        </tr></table>
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr><td class="orang" height="1"><img src="/img/empty.gif" width="1" height="1"/></td></tr>
        </table>

        <xsl:apply-templates select="lecture" />

        <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr><td class="orang" height="1"><img src="/img/empty.gif" width="1" height="1"/></td></tr>
        <tr><td class="ltxt" align="center">&#169; 2003-2005 INTUIT.ru.   .</td></tr>
        </table>
        </body>
        </html>
    </xsl:template>

    <xsl:template match="lecture">
            <xsl:apply-templates select="section|tasks|page-break"/>
    </xsl:template>

    <xsl:template match="lecture/section" priority="2">
        <h3><xsl:value-of select="title"/></h3>
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="lecture/section/section" priority="2">
        <h4><xsl:value-of select="title"/></h4>
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="lecture/section/section/section" priority="2">
        <h5><xsl:value-of select="title"/></h5>
        <xsl:apply-templates/>
    </xsl:template>

    <xsl:template match="section" priority="1">
        <h6><xsl:value-of select="title"/></h6>
        <xsl:apply-templates/>
    </xsl:template>























    <xsl:template match="form">
	<table cellspacing="1" cellpading="1" border="0" width="100%">
	<form>
        <tr><td><xsl:apply-templates mode="form"/></td></tr>
	<tr><td><input type="submit" class="inputlo" value=""/></td></tr>
	</form>
	</table>
    </xsl:template>

    <xsl:template match="job" mode="form">
		<xsl:apply-templates/>
		<br/>
    </xsl:template>

    <xsl:template match="fields" mode="form">
	<xsl:apply-templates mode="form"/>
    </xsl:template>

    <xsl:template match="field" mode="form">
	<xsl:apply-templates mode="form"/>
	<br/>
    </xsl:template>

    <xsl:template match="help" mode="form">
    </xsl:template>

    <xsl:template match="name" mode="form">
    </xsl:template>

    <xsl:template match="name" mode="form_input">
	<xsl:apply-templates/>
	<br/>
    </xsl:template>
    <xsl:template match="name" mode="form_input_left">
	<xsl:apply-templates/>
	<br/>
    </xsl:template>

    <xsl:template match="help" mode="form_input">
	<br/>
	<span class="help">
	<xsl:apply-templates/>
	</span>
    </xsl:template>



    <xsl:template match="input" mode="form">
	<xsl:choose>
	<xsl:when test="@type='textarea'">
		<xsl:apply-templates select="../name" mode="form_input" />
		<textarea cols="64" rows="{@height}"></textarea>
		<xsl:apply-templates select="../help" mode="form_input" />
	</xsl:when>
	<xsl:when test="@type='checkbox'">
		<input style="margin-left: 0px;" type="checkbox"/>&nbsp;
		<xsl:apply-templates select="../name" mode="form_input_left" />
		<xsl:apply-templates select="../help" mode="form_input" />
	</xsl:when>
	<xsl:when test="@type='text'">
		<xsl:apply-templates select="../name" mode="form_input" />
		<input size="64" type="text"/>&nbsp;
		<xsl:apply-templates select="../help" mode="form_input" />
	</xsl:when>
	<xsl:when test="@type='select'">
		<xsl:apply-templates select="../name" mode="form_input" />
		<select>
		<xsl:apply-templates mode="form_select"/>
		</select>
		<xsl:apply-templates select="../help" mode="form_input" />
	</xsl:when>
	<xsl:when test="@type='radio'">
		<xsl:apply-templates select="../name" mode="form_input" />
		<xsl:apply-templates select="../help" mode="form_input" />
		<br/>
		<div style="margin-left: 10px;">
		<xsl:apply-templates mode="form_radio"/>
		</div>
	</xsl:when>
        <xsl:otherwise>
            	<input type="{@type}" size="{@size}"/>
        </xsl:otherwise>
	</xsl:choose>
    </xsl:template>


<xsl:template match="option" mode="form_select">
<option value="{@value}"><xsl:apply-templates/></option>
</xsl:template>


<xsl:template match="option" mode="form_radio">
<input type="radio" name="{../@name}" value="{@name}" />
<xsl:apply-templates/>
<br/>
</xsl:template>

<xsl:template match="form-text" mode="form">
<p><xsl:apply-templates/></p>
</xsl:template>


    <xsl:template match="*" />
</xsl:stylesheet>
